# org.apache.ignite.internal.util.ipc.shmem

## Classes

- IpcSharedMemoryClientEndpoint
- IpcSharedMemoryInitRequest
- IpcSharedMemoryInitResponse
- IpcSharedMemoryInputStream
- IpcSharedMemoryNativeLoader
- IpcSharedMemoryOutputStream
- IpcSharedMemoryServerEndpoint
- IpcSharedMemorySpace
- IpcSharedMemoryUtils

## Exceptions

- IpcOutOfSystemResourcesException
- IpcSharedMemoryOperationTimedoutException